In Sitecore 8.1 you will receive this content warning if you don’t have a valid license for Sitecore Commerce:

“Required license is missing.

You require one of the following licenses to use the Sitecore Commerce Connect module. ‘Sitecore.Commerce.Connect’ or ‘Sitecore.Commerce.ConnectPartner'”

Required license is missing.png

The warning is only useful if you’re intending to use the Sitecore Commerce module, otherwise you need to remove it.

I found this KB post to fix the issue: https://kb.sitecore.net/articles/852031

Here is the patch file you need to add to remove the warning rather than commenting out as suggested above:

<configuration xmlns:patch="http://www.sitecore.net/xmlconfig/">
<sitecore>

<!--Remove this warning as commerce module not in use-->
<pipelines>
<getContentEditorWarnings>
<processor type="Sitecore.Commerce.Pipelines.ContentEditorLicenseWarning, Sitecore.Commerce">
<patch:delete />
</processor>
</getContentEditorWarnings>
</pipelines>

</sitecore>
</configuration>

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out /  Change )

Google+ photo

You are commenting using your Google+ account. Log Out /  Change )

Twitter picture

You are commenting using your Twitter account. Log Out /  Change )

Facebook photo

You are commenting using your Facebook account. Log Out /  Change )

Connecting to %s